import { D as i } from "./content-builder.CcgZciZN.js";
function s(r, t = [350, 696, 1024]) {
  const o = getComputedStyle(r), e = [
    Number.parseFloat(o.getPropertyValue("--breakpoint-mobile").trim()),
    Number.parseFloat(o.getPropertyValue("--breakpoint-tablet").trim()),
    1 / 0
  ];
  return Number.isNaN(e[0]) ? e[0] = t[0] : e[0]++, Number.isNaN(e[1]) ? e[1] = t[1] : e[1]++, e;
}
function a(r) {
  const t = window.innerWidth;
  return t > r[1] ? i.Desktop : t > r[0] && t <= r[1] ? i.Tablet : i.Mobile;
}
export {
  a,
  s as g
};
